import { ReturnConsumedCapacity } from 'aws-sdk/clients/dynamodb';
import { Observable } from 'rxjs';
import { ModelConstructor } from '../../../model';
import { DynamoRx } from '../../dynamo-rx';
import { BaseRequest } from '../base.request';
import { GetResponse } from './get.response';
export declare class GetRequest<T> extends BaseRequest<T, any> {
    private readonly logger;
    constructor(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>, tableName: string, partitionKey: any, sortKey?: any);
    consistentRead(consistendRead: boolean): GetRequest<T>;
    returnConsumedCapacity(level: ReturnConsumedCapacity): GetRequest<T>;
    projectionExpression(...attributesToGet: string[]): GetRequest<T>;
    execFullResponse(): Observable<GetResponse<T>>;
    exec(): Observable<T | null>;
}
